summaryrefslogtreecommitdiff
path: root/net-dialup/openl2tp
diff options
context:
space:
mode:
authorroot <root@evil.(none)>2009-06-10 01:24:48 +0300
committerroot <root@evil.(none)>2009-06-10 01:24:48 +0300
commitc8f9ea324922b8264726938021e3dafc1d1c42d0 (patch)
tree7ef3dd3d27e3211fe39e24346c2a0609fae15b74 /net-dialup/openl2tp
parent04165476be4a4d33ced17c20fcb0b97f30c0910c (diff)
new file: app-misc/mc/mc-4.9999.ebuild (Midnight Commander from git)
new file: net-dialup/openl2tp/openl2tp-1.4.ebuild (openl2tp)
Diffstat (limited to 'net-dialup/openl2tp')
-rw-r--r--net-dialup/openl2tp/openl2tp-1.4.ebuild45
1 files changed, 45 insertions, 0 deletions
diff --git a/net-dialup/openl2tp/openl2tp-1.4.ebuild b/net-dialup/openl2tp/openl2tp-1.4.ebuild
new file mode 100644
index 0000000..3b880e2
--- /dev/null
+++ b/net-dialup/openl2tp/openl2tp-1.4.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils
+
+DESCRIPTION="Userspace tools for kernel L2TP implementation."
+HOMEPAGE="http://openl2tp.sourceforge.net"
+SRC_URI="mirror://sourceforge/openl2tp/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE="doc"
+
+DEPEND="sys-libs/readline
+ =net-dialup/ppp-2.4.4*
+ || (
+ >=sys-kernel/vanilla-sources-2.6.23
+ >=sys-kernel/gentoo-sources-2.6.23
+ )"
+RDEPEND="net-nds/rpcbind ${DEPEND}"
+
+# This prevents some weird error with the openl2tp Makefile regarding -Werror
+# being passed where it shouldn't be going.
+unset CFLAGS
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+# epatch "debian/patches/01_rm_unused.patch"
+}
+
+src_compile() {
+ emake || die "Build failed."
+}
+
+src_install() {
+ emake DESTDIR=${D} install || die "Install failed."
+
+ if use doc; then
+ dodoc README CHANGES doc/*.txt
+ fi
+ newinitd "${FILESDIR}"/openl2tp.initd openl2tp
+}